## imcode.server.document.textdocument
Class TextDomainObject

    java.lang.Object
      imcode.server.document.textdocument.TextDomainObject

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class TextDomainObject

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

Document text field.

See Also:
  Serialized Form

Field Summary
`static int` `TEXT_TYPE_HTML` HTML-code.
`static int` `TEXT_TYPE_PLAIN` Plain text, with linebreaks.

Constructor Summary
`TextDomainObject()`
`TextDomainObject(java.lang.String text)`
`TextDomainObject(java.lang.String text, int type)` Create a text for a text-page.

Method Summary
`protected TextDomainObject` `clone()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.Long` `getId()`
`java.lang.Integer` `getIndex()`
`I18nLanguage` `getLanguage()`
`java.lang.Integer` `getMetaId()`
`java.lang.Integer` `getMetaVersion()`
`java.lang.String` `getText()` Gets the value of text
`int` `getType()` Gets the value of type
`int` `hashCode()`
`boolean` `isModified()`
`void` `setId(java.lang.Long id)`
`void` `setIndex(java.lang.Integer index)`
`void` `setLanguage(I18nLanguage language)`
`void` `setMetaId(java.lang.Integer metaId)`
`void` `setMetaVersion(java.lang.Integer metaVersion)`
`void` `setModified(boolean modified)`
`void` `setText(java.lang.String text)` Sets the value of text
`void` `setType(int type)` Sets the value of type
`java.lang.String` `toHtmlString()`
`java.lang.String` `toString()` Equivalent to getText()

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT_TYPE_PLAIN

    public static final int TEXT_TYPE_PLAIN

  Plain text, with linebreaks.

  See Also:
    Constant Field Values

### TEXT_TYPE_HTML

    public static final int TEXT_TYPE_HTML

  HTML-code. *

  See Also:
    Constant Field Values

Constructor Detail

### TextDomainObject

    public TextDomainObject()

### TextDomainObject

    public TextDomainObject(java.lang.String text)

### TextDomainObject

    public TextDomainObject(java.lang.String text,
                            int type)

  Create a text for a text-page.

  Parameters:
    `text` - The text
    `type` - The type of the text.

Method Detail

### clone

    protected TextDomainObject clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getText

    public java.lang.String getText()

  Gets the value of text

  Returns:
    the value of text

### setText

    public void setText(java.lang.String text)

  Sets the value of text

  Parameters:
    `text` - Value to assign to text

### getType

    public int getType()

  Gets the value of type

  Returns:
    the value of type

### setType

    public void setType(int type)

  Sets the value of type

  Parameters:
    `type` - Value to assign to type

### toString

    public java.lang.String toString()

  Equivalent to getText()

  Overrides:
    `toString` in class `java.lang.Object`

### toHtmlString

    public java.lang.String toHtmlString()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getMetaId

    public java.lang.Integer getMetaId()

### setMetaId

    public void setMetaId(java.lang.Integer metaId)

### getLanguage

    public I18nLanguage getLanguage()

### setLanguage

    public void setLanguage(I18nLanguage language)

### getIndex

    public java.lang.Integer getIndex()

### setIndex

    public void setIndex(java.lang.Integer index)

### isModified

    public boolean isModified()

  Returns:
    if text was modified.

### setModified

    public void setModified(boolean modified)

### getMetaVersion

    public java.lang.Integer getMetaVersion()

### setMetaVersion

    public void setMetaVersion(java.lang.Integer metaVersion)